Bug 423781 - busybox's ed has a bug in the insert command
busybox's ed has a bug in the insert command
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: busybox (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 12:59 EST by D. Hugh Redelmeier
Modified: 2008-01-02 20:44 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2.2-10.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 20:31:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
demonstration log (1.58 KB, text/plain)
2007-12-13 12:59 EST, D. Hugh Redelmeier
no flags Details

  None (edit)
Description D. Hugh Redelmeier 2007-12-13 12:59:04 EST
Description of problem:
busybox ed cannot perform the 1i command (to insert a line before the first line).

Version-Release number of selected component (if applicable):
busybox-1.2.2-8.fc7.x86_64

How reproducible:
All the times I've tried it.

Steps to Reproduce:
see log
  
Actual results:
- insertion does not happen
- if you write the buffer, busybox will print a dump when ed quits

Expected results:
- insertion happens
- quit is peaceful

Additional info:
if the buffer is empty, the insertion will work.
Comment 1 D. Hugh Redelmeier 2007-12-13 12:59:04 EST
Created attachment 287701 [details]
demonstration log
Comment 2 D. Hugh Redelmeier 2007-12-15 23:12:13 EST
busybox-1.2.2-9.fc7, new in testing, does not seem to fix this.
This bug is not present in the version of busybox in Fedora 8 (1.6.1).
Comment 3 Fedora Update System 2007-12-21 16:08:15 EST
busybox-1.2.2-10.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update busybox'
Comment 4 Fedora Update System 2007-12-21 16:11:27 EST
busybox-1.6.1-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update busybox'
Comment 5 D. Hugh Redelmeier 2007-12-22 00:06:56 EST
The test that failed on busybox-1.2.2-8.fc7.x86_64 and on busybox-1.2.2-9.fc7
works on busybox-1.2.2-10.fc7

Thanks!
Comment 6 Fedora Update System 2008-01-02 20:31:17 EST
busybox-1.2.2-10.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-01-02 20:44:57 EST
busybox-1.6.1-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.